Bug 83848 - UI: Data Validity Cell range broken with Excel R1C1 or A1 formula syntax
Summary: UI: Data Validity Cell range broken with Excel R1C1 or A1 formula syntax
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.3.0 release
Hardware: Other All
: medium normal
Assignee: Laurent BP
URL:
Whiteboard: target:4.4.0 target:4.3.3 target:4.2.7
Keywords:
Depends on:
Blocks:
 
Reported: 2014-09-14 15:02 UTC by Laurent BP
Modified: 2014-09-24 08:36 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2014-09-14 15:02:27 UTC
Problem description: formula syntax Excel R1C1 or A1 can not be used with Validity UI when choosing "Cell range"

Steps to reproduce:
1. Set Excel R1C1 or Excel A1 formula syntax with Tools > Options > LibreOffice Calc > Formula
2. Open Validity UI: Data > Validity
3. Select "Cell range"
4. Choose "Source" with the shrink button

Observed result:
Reference syntax of Source follows Calc A1. Click OK result in two choices build from part of the wrongly interpreted reference: "$sheet1$a$1" and "#NAME?"

Expected result:
Reference syntax should follow formula syntax chosen in options. Click OK should give the choice of the selected cells.
Comment 1 ign_christian 2014-09-14 16:25:53 UTC
Reproduced with various versions from 3.3.0.4 - 4.3.2.1 under Ubuntu 12.04 x86
Comment 2 Laurent BP 2014-09-22 06:10:31 UTC
Problem found.
Comment 3 Commit Notification 2014-09-23 23:16:52 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2c7595a911c3b0102162c2ad9cef4a84538b66f8

fdo#83848 Add GetAddressConvention to RefButton



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2014-09-23 23:22:01 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bb21fe6d0a59df7f2c639c60e5e2aca0db9111ce&h=libreoffice-4-3

fdo#83848 Add GetAddressConvention to RefButton


It will be available in LibreOffice 4.3.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Kohei Yoshida 2014-09-23 23:22:48 UTC
Great work fixing this. :-)
Comment 6 Commit Notification 2014-09-23 23:23:56 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=801bd49a4c394bd0f7bc9cc05ffa95b38ce17a60&h=libreoffice-4-2

fdo#83848 Add GetAddressConvention to RefButton


It will be available in LibreOffice 4.2.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Laurent BP 2014-09-24 08:36:05 UTC
(In reply to comment #5)
> Great work fixing this. :-)

So simple solution, but it was quite hard for me to found it. Thanks Kohei for your encouragements :)